
// This code reads mca files and makes spectra

#include "iostream"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "math.h"
#include "fstream" //to read and write from files

#include "TMinuit.h"
#include "TROOT.h"
#include "TFile.h"
#include "TH1D.h"
#include "TH2.h"
#include "TRint.h"
#include "TStyle.h"
#include "TCanvas.h"
#include "TGraph.h"
#include "TGraphErrors.h"
#include "TMultiGraph.h"
#include "TMarker.h"
#include "TLegend.h"
#include "TPaveText.h"
#include "TGaxis.h"

int main(int argc,char **argv)
{
  /* needed to run within ROOT */
  TRint theApp("App", &argc, argv);
  
  FILE *f_in;
  //FILE *f_root;
  Int_t i_last_header_line=12;  Int_t i_counts[2080];
  Int_t i_channel, i_line, Nb_channel;
  //char filename[]="sce_2011_07_18_Th60_HT410.mca";
  //char filename[]="bckg.mca";
  char filename[100];

  char Line[150];
  char dump[150];
  Int_t maxchar = 150;

printf("argc = %d \t argv[0] : %s \t argv[1] : %s\n", argc, argv[0], argv[1]);
strcpy(filename,argv[1]);
strcat(filename,".mca");
printf("File : %s\n",filename);

  f_in=fopen(filename,"r");
	for (i_line=0; i_line < i_last_header_line; i_line++)
	{	
	 if(fgets(Line,maxchar,f_in)!=0)
	    sscanf(Line,"%s",dump);
	}
	
i_channel=0;
while ((fgets(Line,maxchar,f_in)!=NULL)&&(strncmp(Line,"<<END>>",7)!=0))
{
sscanf(Line,"%d",&i_counts[i_channel]);
//printf("%s\n",Line);
//printf("counts[%d]=%d\t 1st char : %c --- %i\n",i_channel, i_counts[i_channel],Line[0],strncmp(Line,"<<END>>",7));
i_channel++;
}

Nb_channel = i_channel;
//TCanvas *c1 = new TCanvas ("c1", " ", 10, 10, 800, 800);
TH1D *h_counts = new TH1D("h_counts",filename,Nb_channel,0,Nb_channel);

for (i_channel=0;i_channel<=Nb_channel;i_channel++)
h_counts->Fill(i_channel,i_counts[i_channel]);

gStyle->SetOptStat(0000000);
h_counts->Draw();

   /* needed to run within ROOT */
    /* without it we go out from ROOT */
    theApp.Run();
    return 0;
}
